summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-04-28 21:24:57 +0100
committerPádraig Brady <P@draigBrady.com>2015-04-28 21:30:25 +0100
commit09152f2d75d42c4c840d2e5cf25dcb2d7133055b (patch)
treee2ae6e9317e7d55be12e898a2952a70a5e49e75b /tests
parent824bcc6434ca7914905fb0cdb54f8bf47009ffb6 (diff)
downloadcoreutils-09152f2d75d42c4c840d2e5cf25dcb2d7133055b.tar.xz
tests: run ls capability coloring test irrespective of $LS_COLORS
* tests/ls/no-cap.sh: Ensure the test isn't skipped even if capability coloring is disabled in the current $LS_COLORS. Also just enable/disable capability coloring to avoid the dircolors(1) overhead.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ls/no-cap.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/ls/no-cap.sh b/tests/ls/no-cap.sh
index 625f8397e..ecbfb31ca 100755
--- a/tests/ls/no-cap.sh
+++ b/tests/ls/no-cap.sh
@@ -20,13 +20,14 @@
print_ver_ ls
require_strace_ capget
+LS_COLORS=ca=1; export LS_COLORS
strace -e capget ls --color=always > /dev/null 2> out || fail=1
$EGREP 'capget\(' out || skip_ "your ls doesn't call capget"
rm -f out
-eval "$(TERM=xterm dircolors -b | sed 's/ca=[^:]*:/ca=:/')"
-strace -e capget ls --color=always > /dev/null 2> out || fail=1
+LS_COLORS=ca=:; export LS_COLORS
+strace -e capget ls --color=always > /dev/null 2> out || fail=1
$EGREP 'capget\(' out && fail=1
Exit $fail